コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

カードを1件取得する

GET/cards/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

Scopes:inventory:read
Path parameters
idstring<uuid>required
Responses
200

カード

idstring<uuid>
namestring
localizedNamesobject
cardNumberstring | null
setTotalRawstring | null
janCodestring | null
languageCodestring
variantstring | null
finishstring | null
imageUrlstring<uri> | null
rarityobject | null
Show properties
codestring
namestring
setobject | null
Show properties
idstring<uuid>
codestring
namestring
nameEnstring | null
gameGame
Show properties
idstring<uuid>
codestring
namestring
404

not_found

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/cards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "localizedNames": {
    "property1": "string",
    "property2": "string"
  },
  "cardNumber": "string",
  "setTotalRaw": "string",
  "janCode": "string",
  "languageCode": "string",
  "variant": "string",
  "finish": "string",
  "imageUrl": "http://example.com",
  "rarity": {
    "code": "string",
    "name": "string"
  },
  "set": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "code": "string",
    "name": "string",
    "nameEn": "string"
  },
  "game": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "code": "string",
    "name": "string"
  }
}